SharpDevelop Community

Get your problems solved!
Welcome to SharpDevelop Community Sign in | Join | Help
in Search

Use SharpDevelp 4.2 with the last version of Wine.

Last post 12-20-2012 6:25 PM by dacastanaza. 3 replies.
Page 1 of 1 (4 items)
Sort Posts: Previous Next
  • 06-06-2012 2:33 PM

    Use SharpDevelp 4.2 with the last version of Wine.

    Hi, I'm new in this environment, and I trying use SharpDevelop 4.2 in Wine (openSuse). When I run I can see the presentation, but step next return this error, thank for your help.
    I installed the framework 4.0.39...
    Javier.
    SharpDevelop Version : 4.2.0.8783-27231549
    .NET Version         : 4.0.30319.1
    OS Version           : Microsoft Windows NT 5.1.2600 Service Pack 3
    Current culture      : Spanish (Spain, International Sort) (es-ES)
    Working Set Memory   : 0kb
    GC Heap Memory       : 3555kb
    Unhandled exception terminated SharpDevelop
    Exception thrown:
    System.Runtime.InteropServices.COMException (0x800706D3): Exception from HRESULT: 0x800706D3
       at System.Windows.Media.MediaSystem.ConnectTransport()
       at System.Windows.Media.MediaSystem.Startup(MediaContext mc)
       at System.Windows.Media.MediaContext..ctor(Dispatcher dispatcher)
       at System.Windows.Media.MediaContext.From(Dispatcher dispatcher)
       at System.Windows.Media.Visual.VerifyAPIReadWrite()
       at System.Windows.Media.Visual.set_VisualOpacity(Double value)
       at System.Windows.UIElement.ensureInvisible(Boolean collapsed)
       at System.Windows.UIElement.switchVisibilityIfNeeded(Visibility visibility)
       at System.Windows.UIElement.OnVisibilityChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
       at System.Windows.DependencyObject.OnPropertyChanged(DependencyPropertyChangedEventArgs e)
       at System.Windows.FrameworkElement.OnPropertyChanged(DependencyPropertyChangedEventArgs e)
       at System.Windows.DependencyObject.NotifyPropertyChange(DependencyPropertyChangedEventArgs args)
       at System.Windows.DependencyObject.UpdateEffectiveValue(EntryIndex entryIndex, DependencyProperty dp, PropertyMetadata metadata, EffectiveValueEntry oldEntry, EffectiveValueEntry& newEntry, Boolean coerceWithDeferredReference, Boolean coerceWithCurrentValue, OperationType operationType)
       at System.Windows.DependencyObject.SetValueCommon(DependencyProperty dp, Object value, PropertyMetadata metadata, Boolean coerceWithDeferredReference, Boolean coerceWithCurrentValue, OperationType operationType, Boolean isInternal)
       at System.Windows.DependencyObject.SetValue(DependencyProperty dp, Object value)
       at ICSharpCode.SharpDevelop.Gui.SdStatusBar..ctor()
       at ICSharpCode.SharpDevelop.Gui.WpfWorkbench..ctor()
       at ICSharpCode.SharpDevelop.Commands.WorkbenchStartup.InitializeWorkbench()
       at ICSharpCode.SharpDevelop.Sda.CallHelper.RunWorkbenchInternal(Object settings)
       at ICSharpCode.SharpDevelop.Sda.CallHelper.RunWorkbench(WorkbenchSettings settings)
       at ICSharpCode.SharpDevelop.Sda.SharpDevelopHost.RunWorkbench(WorkbenchSettings settings)
       at ICSharpCode.SharpDevelop.SharpDevelopMain.RunApplication()
       at ICSharpCode.SharpDevelop.SharpDevelopMain.Run()
       at ICSharpCode.SharpDevelop.SharpDevelopMain.Main(String[ args)
    ---- Recent log messages:
    Failed to append recent log messages.
    System.InvalidOperationException: Sequence contains no elements
       at System.Linq.Enumerable.Single[TSource](IEnumerable`1 source)
       at ICSharpCode.SharpDevelop.Sda.LogMessageRecorder.AppendRecentLogMessages(StringBuilder sb, ILog log)
       at ICSharpCode.SharpDevelop.Sda.ExceptionBox.getClipboardString()
    ---- Post-error application state information:
    Installed 3rd party AddIns: 

    Filed under:
  • 06-06-2012 2:36 PM In reply to

    Re: Use SharpDevelp 4.2 with the last version of Wine.

    SharpDevelop uses WPF which in turn uses Direct2D. I don't think that's going to run on Wine.

  • 06-06-2012 2:43 PM In reply to

    Re: Use SharpDevelp 4.2 with the last version of Wine.

    Ok, I understand. Thank for your help. Existe other way that run Sharpdevelop over Linux. 

    Bye.

  • 12-20-2012 6:25 PM In reply to

    Re: Use SharpDevelp 4.2 with the last version of Wine.

    Hi. I´m also trying to use SharpDevelop with Crossover/Wine. I tried installing DirectX but still does not work. Could there be a way to get over this requirement for SharpDevelop?

Page 1 of 1 (4 items)
Powered by Community Server (Commercial Edition), by Telligent Systems
Don't contact us via this (fleischfalle@alphasierrapapa.com) email address.